Subject: Re: libgit2 - a true git library

From: Pierre Habouzit <[email-masked]>
Date: Fri, 31 Oct 2008 22:51:55 +0100

On Fri, Oct 31, 2008 at 09:43:56PM +0000, Shawn O. Pearce wrote:
> Nicolas Pitre <[email-masked]> wrote:
> > On Fri, 31 Oct 2008, [email-masked] wrote:
> > > at the very least you should go from GPLv2 to LGPLv2 for the library.
> > 
> > Sure.
> 
> Well, we cannot do a GPL->LGPL switch on code without author
> permission for that sort of re-licensing.
> 
> That said, I think many authors of git.git code would be more
> comfortable with a GPL->LGPL change, where they wouldn't be OK with
> a GPL->BSD/MIT change.  There may be some folks though who still
> wouldn't accept a GPL->LGPL move.

FWIW, I dislike the LGPL for many reasons, and I prefer 100x times a GPL
with GCC kind of exceptions. But if other people hate it, I wont be
be a problem and refuse it.

-- 
·O·  Pierre Habouzit
··O                                                [email-masked]
OOO                                                http://www.madism.org